## haskell-hgl 3.2.0.2

=== debian/changelog ===
haskell-hgl (3.2.0.2-2build1) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Nov 2013 12:50:03 +0000

haskell-hgl (3.2.0.2-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Use more sintetic link in Homepage:.
  * debian/source/format: Use 3.0 (quilt).

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Ernesto Hernández-Novich (USB) ]
  * Added patches to migrate to the new Control.Exception try/catch,
    use STM instead of regular Channels, and adjust cabal file to
    allow building with GHC 7.4. Patches have been forwarded upstream.
  * debian/control: bump Standards-Version.
  * debian/control: add Build-Depends on quilt to handle patches.
  * debian/control: add Build-Depends on ghc-stm-{dev|prof}.
  * debian/control: add Build-Depends-Indep on ghc-stm-doc.
  * Add lintian overrides because the distribution doesn't provide
    a changelog file.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Sun, 25 Aug 2013 13:01:03 -0430

haskell-hgl (3.2.0.2-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Add Vcs-Darcs: field.
  * debian/control: Add Homepage: field.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * New upstream version 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 11 Feb 2010 22:10:10 +0100

haskell-hgl (3.2.0.0-5) unstable; urgency=low

  * Adopt for the Debian Haskell Group
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Mon, 26 Oct 2009 19:24:17 +0100

haskell-hgl (3.2.0.0-4) unstable; urgency=low

  * New maintainer.
  * Switched over to use hlibrary.mk and haskell-devscripts.

 -- Kari Pahula <kaol@debian.org>  Wed, 04 Mar 2009 22:21:49 +0200

haskell-hgl (3.2.0.0-3) unstable; urgency=low

  * Build against libghc6-x11-dev 1.4.2-1.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 24 Jul 2008 14:55:49 +0000

haskell-hgl (3.2.0.0-2) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library packaging files v10":
    * Versioned dependencies are now generated for the Cabal packages we
      depend on.
    * Use the new ${impl:ghc6:*_deps} variables in debian/control.in.
    * Call canonicalise-comma-list on the depends and suggests fields in
      control.in. This works around bugs in lintian, where it gets
      confused and starts giving spurious warnings.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 28 Feb 2008 01:01:42 +0000

haskell-hgl (3.2.0.0-1) unstable; urgency=low

  * New upstream version.
  * Upgrade to "Generic Haskell cabal library packaging files v9":
    * Allows Setup to be in Setup.lhs instead of Setup.hs.
    * Bump the required haskell-utils from 1.8 to 1.10.
    * The control.in gives a standards-version of 3.7.3 (was 3.7.2).
    * Move everything from the devel section to the libdevel section.
    * Delete the LICENSE file (currently we assume it has that name, and
      that it exists) after "Setup copy"ing the Cabal package.
    * Remove some hacks that worked around older Cabal not letting us
      tell it exactly where to put the documentation.
    * Use --hyperlink-source when telling Cabal to haddock the library.
    * Add hscolour to the build-depends.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 20 Nov 2007 00:00:47 +0000

haskell-hgl (3.1.1-2) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library packaging files v8":
    * update-generated-files rule in debian/rules runs
      update-debian-haskell-files.
    * Build-dep on haddock >= 0.8-2 in order to get portable .haddock files.
    * We tell Cabal's configure where to put the docs so that it doesn't
      break when we move them around behind its back.
    * Use canonicalise-comma-list around the build-deps in debian/control.in
      to fix problems where we get an unparsable ", , " when a variable is
      empty.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 04 Jun 2007 21:53:01 +0000

haskell-hgl (3.1.1-1) unstable; urgency=low

  * New upstream version.
  * Fix Setup.hs (type signatures don't match our version of Cabal).
  * Split off profiling and documentation into separate packages.
  * debian/control.in now makes much more use of variables, including
    magic Cabal variables.
  * Use debhelper level 5 (was 4).
  * Bump haskell-utils build-dep requirement to 1.8.
  * Upgrade to "Generic Haskell cabal library debian/rules v0.7":
    * Generate haddock docs. 
    * -doc package calls gen_contents_index from postinst and postrm.
    * Use destdir rather than deprecated copy-prefix flag to Setup copy.
    * Add -X.haddock to dh_compress call.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 10 May 2007 13:39:55 +0100

haskell-hgl (3.1-3) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library debian/rules v0.6".
    Tell setup to use ghc6 rather than ghc, so that the postinst/prerm
    scripts work when the ghc-pkg symlink doesn't exist or doesn't
    point to ghc6's ghc-pkg. 

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 20 Nov 2006 20:50:42 +0000

haskell-hgl (3.1-2) unstable; urgency=low

  * Update control from control.in to include arm, mips and mipsel in the
    architecture list.
  * Upgrade to "Generic Haskell cabal library debian/rules v0.5".

