=== debian/control ===
Source: haskell-hgl
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>,
 Ernesto Hernández-Novich (USB) <emhn@usb.ve>
Standards-Version: 3.9.4
Build-Depends:
 cdbs,
 debhelper (>= 9),
 haskell-devscripts (>= 0.8.12),
 quilt,
 ghc,
 ghc-prof,
 libghc-stm-dev,
 libghc-stm-prof,
 libghc-x11-dev,
 libghc-x11-prof
Build-Depends-Indep: ghc-doc,
 libghc-stm-doc,
 libghc-x11-doc
Homepage: http://hackage.haskell.org/package/HGL
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hgl
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hgl

Package: libghc-hgl-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell graphics library for GHC
 This package provides a library for the Haskell programming language.
 .
 This is a simple graphics library, designed to give the programmer access
 to most interesting parts of the Win32 Graphics Device Interface
 and X11 library without exposing the programmer to the pain and
 anguish usually associated with using these interfaces.
 .
 The library also includes a module Graphics.SOE providing the
 interface used in "The Haskell School of Expression", by Paul
 Hudak, cf <http://www.haskell.org/soe/>.

Package: libghc-hgl-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell graphics library for GHC; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 .
 This is a simple graphics library, designed to give the programmer access
 to most interesting parts of the Win32 Graphics Device Interface
 and X11 library without exposing the programmer to the pain and
 anguish usually associated with using these interfaces.
 .
 The library also includes a module Graphics.SOE providing the
 interface used in "The Haskell School of Expression", by Paul
 Hudak, cf <http://www.haskell.org/soe/>.

Package: libghc-hgl-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell graphics library for GHC; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 .
 This is a simple graphics library, designed to give the programmer access
 to most interesting parts of the Win32 Graphics Device Interface
 and X11 library without exposing the programmer to the pain and
 anguish usually associated with using these interfaces.
 .
 The library also includes a module Graphics.SOE providing the
 interface used in "The Haskell School of Expression", by Paul
 Hudak, cf <http://www.haskell.org/soe/>.
