=== debian/control ===
--- 
+++ 
@@ -8,16 +8,12 @@
 Build-Depends:
  cdbs,
  debhelper (>= 9),
- haskell-devscripts (>= 0.8.12),
- quilt,
+ haskell-devscripts (>= 0.9),
  ghc,
  ghc-prof,
- libghc-stm-dev,
- libghc-stm-prof,
  libghc-x11-dev,
  libghc-x11-prof
 Build-Depends-Indep: ghc-doc,
- libghc-stm-doc,
  libghc-x11-doc
 Homepage: http://hackage.haskell.org/package/HGL
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hgl
